import{S as Jl,i as Ql,s as Xl,e as a,k as p,w,t as s,M as Kl,c as r,d as o,m,a as i,x as y,h as n,b as d,N as Yl,G as e,g,y as $,q as T,o as k,B as x,v as ed,L as Et}from"../../chunks/vendor-hf-doc-builder.js";import{T as Ti}from"../../chunks/Tip-hf-doc-builder.js";import{D as S}from"../../chunks/Docstring-hf-doc-builder.js";import{C as It}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as he}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Mt}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function td(P){let c,b,_,h,v;return h=new It({props:{code:`from transformers import GitVisionConfig, GitVisionModel

# Initializing a GitVisionConfig with microsoft/git-base style configuration
configuration = GitVisionConfig()

# Initializing a GitVisionModel (with random weights) from the microsoft/git-base style configuration
model = GitVisionModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> GitVisionConfig, GitVisionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a GitVisionConfig with microsoft/git-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = GitVisionConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a GitVisionModel (with random weights) from the microsoft/git-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GitVisionModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){c=a("p"),b=s("Example:"),_=p(),w(h.$$.fragment)},l(l){c=r(l,"P",{});var u=i(c);b=n(u,"Example:"),u.forEach(o),_=m(l),y(h.$$.fragment,l)},m(l,u){g(l,c,u),e(c,b),g(l,_,u),$(h,l,u),v=!0},p:Et,i(l){v||(T(h.$$.fragment,l),v=!0)},o(l){k(h.$$.fragment,l),v=!1},d(l){l&&o(c),l&&o(_),x(h,l)}}}function od(P){let c,b,_,h,v;return{c(){c=a("p"),b=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),h=s("Module"),v=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=r(l,"P",{});var u=i(c);b=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(u,"CODE",{});var z=i(_);h=n(z,"Module"),z.forEach(o),v=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(o)},m(l,u){g(l,c,u),e(c,b),e(c,_),e(_,h),e(c,v)},d(l){l&&o(c)}}}function sd(P){let c,b,_,h,v;return h=new It({props:{code:`from PIL import Image
import requests
from transformers import AutoProcessor, GitVisionModel

processor = AutoProcessor.from_pretrained("microsoft/git-base")
model = GitVisionModel.from_pretrained("microsoft/git-base")

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

inputs = processor(images=image, return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, GitVisionModel

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/git-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GitVisionModel.from_pretrained(<span class="hljs-string">&quot;microsoft/git-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state`}}),{c(){c=a("p"),b=s("Examples:"),_=p(),w(h.$$.fragment)},l(l){c=r(l,"P",{});var u=i(c);b=n(u,"Examples:"),u.forEach(o),_=m(l),y(h.$$.fragment,l)},m(l,u){g(l,c,u),e(c,b),g(l,_,u),$(h,l,u),v=!0},p:Et,i(l){v||(T(h.$$.fragment,l),v=!0)},o(l){k(h.$$.fragment,l),v=!1},d(l){l&&o(c),l&&o(_),x(h,l)}}}function nd(P){let c,b,_,h,v;return h=new It({props:{code:`from transformers import GitConfig, GitModel

# Initializing a GIT microsoft/git-base style configuration
configuration = GitConfig()

# Initializing a model (with random weights) from the microsoft/git-base style configuration
model = GitModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> GitConfig, GitModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a GIT microsoft/git-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = GitConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the microsoft/git-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GitModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){c=a("p"),b=s("Examples:"),_=p(),w(h.$$.fragment)},l(l){c=r(l,"P",{});var u=i(c);b=n(u,"Examples:"),u.forEach(o),_=m(l),y(h.$$.fragment,l)},m(l,u){g(l,c,u),e(c,b),g(l,_,u),$(h,l,u),v=!0},p:Et,i(l){v||(T(h.$$.fragment,l),v=!0)},o(l){k(h.$$.fragment,l),v=!1},d(l){l&&o(c),l&&o(_),x(h,l)}}}function ad(P){let c,b,_,h,v;return{c(){c=a("p"),b=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),h=s("Module"),v=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=r(l,"P",{});var u=i(c);b=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(u,"CODE",{});var z=i(_);h=n(z,"Module"),z.forEach(o),v=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(o)},m(l,u){g(l,c,u),e(c,b),e(c,_),e(_,h),e(c,v)},d(l){l&&o(c)}}}function rd(P){let c,b,_,h,v;return h=new It({props:{code:`from transformers import AutoProcessor, AutoModel
import requests
from PIL import Image

processor = AutoProcessor.from_pretrained("microsoft/git-base")
model = AutoModel.from_pretrained("microsoft/git-base")

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

text = "this is an image of two cats"

inputs = processor(text, images=image, return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, AutoModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/git-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModel.from_pretrained(<span class="hljs-string">&quot;microsoft/git-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;this is an image of two cats&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(text, images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state`}}),{c(){c=a("p"),b=s("Examples:"),_=p(),w(h.$$.fragment)},l(l){c=r(l,"P",{});var u=i(c);b=n(u,"Examples:"),u.forEach(o),_=m(l),y(h.$$.fragment,l)},m(l,u){g(l,c,u),e(c,b),g(l,_,u),$(h,l,u),v=!0},p:Et,i(l){v||(T(h.$$.fragment,l),v=!0)},o(l){k(h.$$.fragment,l),v=!1},d(l){l&&o(c),l&&o(_),x(h,l)}}}function id(P){let c,b,_,h,v;return{c(){c=a("p"),b=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),h=s("Module"),v=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=r(l,"P",{});var u=i(c);b=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(u,"CODE",{});var z=i(_);h=n(z,"Module"),z.forEach(o),v=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(o)},m(l,u){g(l,c,u),e(c,b),e(c,_),e(_,h),e(c,v)},d(l){l&&o(c)}}}function ld(P){let c,b,_,h,v;return h=new It({props:{code:`from transformers import AutoProcessor, AutoModelForCausalLM
import requests
from PIL import Image

processor = AutoProcessor.from_pretrained("microsoft/git-base-coco")
model = AutoModelForCausalLM.from_pretrained("microsoft/git-base-coco")

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

pixel_values = processor(images=image, return_tensors="pt").pixel_values

generated_ids = model.generate(pixel_values=pixel_values, max_length=50)
generated_caption = processor.batch_decode(generated_ids, skip_special_tokens=True)[0]
print(generated_caption)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, AutoModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/git-base-coco&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;microsoft/git-base-coco&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>pixel_values = processor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).pixel_values

<span class="hljs-meta">&gt;&gt;&gt; </span>generated_ids = model.generate(pixel_values=pixel_values, max_length=<span class="hljs-number">50</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>generated_caption = processor.batch_decode(generated_ids, skip_special_tokens=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(generated_caption)
two cats sleeping on a pink blanket <span class="hljs-built_in">next</span> to remotes.`}}),{c(){c=a("p"),b=s("Image captioning example:"),_=p(),w(h.$$.fragment)},l(l){c=r(l,"P",{});var u=i(c);b=n(u,"Image captioning example:"),u.forEach(o),_=m(l),y(h.$$.fragment,l)},m(l,u){g(l,c,u),e(c,b),g(l,_,u),$(h,l,u),v=!0},p:Et,i(l){v||(T(h.$$.fragment,l),v=!0)},o(l){k(h.$$.fragment,l),v=!1},d(l){l&&o(c),l&&o(_),x(h,l)}}}function dd(P){let c,b,_,h,v;return h=new It({props:{code:`from transformers import AutoProcessor, AutoModelForCausalLM
from huggingface_hub import hf_hub_download
from PIL import Image

processor = AutoProcessor.from_pretrained("microsoft/git-base-textvqa")
model = AutoModelForCausalLM.from_pretrained("microsoft/git-base-textvqa")

file_path = hf_hub_download(repo_id="nielsr/textvqa-sample", filename="bus.png", repo_type="dataset")
image = Image.open(file_path).convert("RGB")

pixel_values = processor(images=image, return_tensors="pt").pixel_values

question = "what does the front of the bus say at the top?"

input_ids = processor(text=question, add_special_tokens=False).input_ids
input_ids = [processor.tokenizer.cls_token_id] + input_ids
input_ids = torch.tensor(input_ids).unsqueeze(0)

generated_ids = model.generate(pixel_values=pixel_values, input_ids=input_ids, max_length=50)
print(processor.batch_decode(generated_ids, skip_special_tokens=True))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, AutoModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> hf_hub_download
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/git-base-textvqa&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;microsoft/git-base-textvqa&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>file_path = hf_hub_download(repo_id=<span class="hljs-string">&quot;nielsr/textvqa-sample&quot;</span>, filename=<span class="hljs-string">&quot;bus.png&quot;</span>, repo_type=<span class="hljs-string">&quot;dataset&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(file_path).convert(<span class="hljs-string">&quot;RGB&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>pixel_values = processor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).pixel_values

<span class="hljs-meta">&gt;&gt;&gt; </span>question = <span class="hljs-string">&quot;what does the front of the bus say at the top?&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = processor(text=question, add_special_tokens=<span class="hljs-literal">False</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = [processor.tokenizer.cls_token_id] + input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = torch.tensor(input_ids).unsqueeze(<span class="hljs-number">0</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>generated_ids = model.generate(pixel_values=pixel_values, input_ids=input_ids, max_length=<span class="hljs-number">50</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(processor.batch_decode(generated_ids, skip_special_tokens=<span class="hljs-literal">True</span>))
[<span class="hljs-string">&#x27;what does the front of the bus say at the top? special&#x27;</span>]`}}),{c(){c=a("p"),b=s("Visual question answering (VQA) example:"),_=p(),w(h.$$.fragment)},l(l){c=r(l,"P",{});var u=i(c);b=n(u,"Visual question answering (VQA) example:"),u.forEach(o),_=m(l),y(h.$$.fragment,l)},m(l,u){g(l,c,u),e(c,b),g(l,_,u),$(h,l,u),v=!0},p:Et,i(l){v||(T(h.$$.fragment,l),v=!0)},o(l){k(h.$$.fragment,l),v=!1},d(l){l&&o(c),l&&o(_),x(h,l)}}}function cd(P){let c,b,_,h,v;return h=new It({props:{code:`from transformers import AutoProcessor, AutoModelForCausalLM
from PIL import Image
import numpy as np
from huggingface_hub import hf_hub_download
from decord import VideoReader, cpu

processor = AutoProcessor.from_pretrained("microsoft/git-base-vatex")
model = AutoModelForCausalLM.from_pretrained("microsoft/git-base-vatex")

# set seed for reproducability
np.random.seed(45)


def sample_frame_indices(clip_len, frame_sample_rate, seg_len):
    converted_len = int(clip_len * frame_sample_rate)
    end_idx = np.random.randint(converted_len, seg_len)
    start_idx = end_idx - converted_len
    indices = np.linspace(start_idx, end_idx, num=clip_len)
    indices = np.clip(indices, start_idx, end_idx - 1).astype(np.int64)
    return indices


def sample_frames(file_path, num_frames):
    videoreader = VideoReader(file_path, num_threads=1, ctx=cpu(0))
    videoreader.seek(0)
    indices = sample_frame_indices(clip_len=num_frames, frame_sample_rate=4, seg_len=len(videoreader))
    frames = videoreader.get_batch(indices).asnumpy()
    return list(frames)


# load video
file_path = hf_hub_download(
    repo_id="nielsr/video-demo", filename="eating_spaghetti.mp4", repo_type="dataset"
)

# sample frames
num_frames = model.config.num_image_with_embedding
frames = sample_frames(file_path, num_frames)

pixel_values = processor(images=frames, return_tensors="pt").pixel_values

generated_ids = model.generate(pixel_values=pixel_values, max_length=50)

print("Generated caption:", processor.batch_decode(generated_ids, skip_special_tokens=True))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, AutoModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> numpy <span class="hljs-keyword">as</span> np
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> hf_hub_download
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> decord <span class="hljs-keyword">import</span> VideoReader, cpu

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/git-base-vatex&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;microsoft/git-base-vatex&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># set seed for reproducability</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>np.random.seed(<span class="hljs-number">45</span>)


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">sample_frame_indices</span>(<span class="hljs-params">clip_len, frame_sample_rate, seg_len</span>):
<span class="hljs-meta">... </span>    converted_len = <span class="hljs-built_in">int</span>(clip_len * frame_sample_rate)
<span class="hljs-meta">... </span>    end_idx = np.random.randint(converted_len, seg_len)
<span class="hljs-meta">... </span>    start_idx = end_idx - converted_len
<span class="hljs-meta">... </span>    indices = np.linspace(start_idx, end_idx, num=clip_len)
<span class="hljs-meta">... </span>    indices = np.clip(indices, start_idx, end_idx - <span class="hljs-number">1</span>).astype(np.int64)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> indices


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">sample_frames</span>(<span class="hljs-params">file_path, num_frames</span>):
<span class="hljs-meta">... </span>    videoreader = VideoReader(file_path, num_threads=<span class="hljs-number">1</span>, ctx=cpu(<span class="hljs-number">0</span>))
<span class="hljs-meta">... </span>    videoreader.seek(<span class="hljs-number">0</span>)
<span class="hljs-meta">... </span>    indices = sample_frame_indices(clip_len=num_frames, frame_sample_rate=<span class="hljs-number">4</span>, seg_len=<span class="hljs-built_in">len</span>(videoreader))
<span class="hljs-meta">... </span>    frames = videoreader.get_batch(indices).asnumpy()
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> <span class="hljs-built_in">list</span>(frames)


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># load video</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>file_path = hf_hub_download(
<span class="hljs-meta">... </span>    repo_id=<span class="hljs-string">&quot;nielsr/video-demo&quot;</span>, filename=<span class="hljs-string">&quot;eating_spaghetti.mp4&quot;</span>, repo_type=<span class="hljs-string">&quot;dataset&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># sample frames</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_frames = model.config.num_image_with_embedding
<span class="hljs-meta">&gt;&gt;&gt; </span>frames = sample_frames(file_path, num_frames)

<span class="hljs-meta">&gt;&gt;&gt; </span>pixel_values = processor(images=frames, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).pixel_values

<span class="hljs-meta">&gt;&gt;&gt; </span>generated_ids = model.generate(pixel_values=pixel_values, max_length=<span class="hljs-number">50</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;Generated caption:&quot;</span>, processor.batch_decode(generated_ids, skip_special_tokens=<span class="hljs-literal">True</span>))
Generated caption: [<span class="hljs-string">&#x27;a woman is sitting at a table and she is talking about the food she is holding.&#x27;</span>]`}}),{c(){c=a("p"),b=s("Video captioning example:"),_=p(),w(h.$$.fragment)},l(l){c=r(l,"P",{});var u=i(c);b=n(u,"Video captioning example:"),u.forEach(o),_=m(l),y(h.$$.fragment,l)},m(l,u){g(l,c,u),e(c,b),g(l,_,u),$(h,l,u),v=!0},p:Et,i(l){v||(T(h.$$.fragment,l),v=!0)},o(l){k(h.$$.fragment,l),v=!1},d(l){l&&o(c),l&&o(_),x(h,l)}}}function pd(P){let c,b,_,h,v,l,u,z,Ys,is,J,fe,fo,De,en,uo,tn,ls,R,on,Se,sn,nn,qt,an,rn,ds,zt,ln,cs,At,go,dn,ps,Lt,cn,ms,ue,Re,pn,_o,mn,hn,fn,Q,un,Ft,gn,_n,vo,vn,bn,hs,ge,ki,fs,_e,wn,We,yn,$n,us,W,Tn,Be,kn,xn,He,Gn,Pn,gs,X,ve,bo,Ue,jn,wo,Cn,_s,Vt,Mn,vs,Ot,Ze,En,Je,In,qn,bs,Nt,zn,ws,K,be,yo,Qe,An,$o,Ln,ys,F,Xe,Fn,Y,Vn,Dt,On,Nn,Ke,Dn,Sn,Rn,ee,Wn,St,Bn,Hn,Rt,Un,Zn,Jn,we,$s,te,ye,To,Ye,Qn,ko,Xn,Ts,M,et,Kn,xo,Yn,ea,tt,ta,Wt,oa,sa,na,ot,aa,st,ra,ia,la,O,nt,da,oe,ca,Bt,pa,ma,Go,ha,fa,ua,$e,ga,Te,ks,se,ke,Po,at,_a,jo,va,xs,E,rt,ba,ne,wa,Ht,ya,$a,it,Ta,ka,xa,ae,Ga,Ut,Pa,ja,Zt,Ca,Ma,Ea,xe,Ia,Ge,lt,qa,re,za,Jt,Aa,La,Co,Fa,Va,Gs,ie,Pe,Mo,dt,Oa,Eo,Na,Ps,V,ct,Da,Io,Sa,Ra,A,Qt,Wa,Ba,Xt,Ha,Ua,Kt,Za,Ja,pt,qo,Qa,Xa,Ka,zo,Ya,er,tr,je,mt,or,G,sr,Ao,nr,ar,Lo,rr,ir,ht,Fo,lr,dr,cr,Vo,pr,mr,Oo,hr,fr,No,ur,gr,Do,_r,vr,ft,So,br,wr,yr,Ro,$r,Tr,Wo,kr,xr,js,le,Ce,Bo,ut,Gr,Ho,Pr,Cs,I,gt,jr,Uo,Cr,Mr,_t,Er,Yt,Ir,qr,zr,vt,Ar,bt,Lr,Fr,Vr,N,wt,Or,de,Nr,eo,Dr,Sr,Zo,Rr,Wr,Br,Me,Hr,Ee,Ms,ce,Ie,Jo,yt,Ur,Qo,Zr,Es,q,$t,Jr,Tt,Qr,Xo,Xr,Kr,Yr,kt,ei,to,ti,oi,si,xt,ni,Gt,ai,ri,ii,C,Pt,li,pe,di,oo,ci,pi,Ko,mi,hi,fi,qe,ui,Yo,gi,_i,ze,vi,Ae,bi,Le,Is;return l=new he({}),De=new he({}),Ue=new he({}),Qe=new he({}),Xe=new S({props:{name:"class transformers.GitVisionConfig",anchor:"transformers.GitVisionConfig",parameters:[{name:"hidden_size",val:" = 768"},{name:"intermediate_size",val:" = 3072"},{name:"projection_dim",val:" = 512"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"num_channels",val:" = 3"},{name:"image_size",val:" = 224"},{name:"patch_size",val:" = 16"},{name:"hidden_act",val:" = 'quick_gelu'"},{name:"layer_norm_eps",val:" = 1e-05"},{name:"dropout",val:" = 0.0"},{name:"attention_dropout",val:" = 0.0"},{name:"initializer_range",val:" = 0.02"},{name:"initializer_factor",val:" = 1.0"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.GitVisionConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.GitVisionConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.GitVisionConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.GitVisionConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.GitVisionConfig.image_size",description:`<strong>image_size</strong> (<code>int</code>, <em>optional</em>, defaults to 224) &#x2014;
The size (resolution) of each image.`,name:"image_size"},{anchor:"transformers.GitVisionConfig.patch_size",description:`<strong>patch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
The size (resolution) of each patch.`,name:"patch_size"},{anchor:"transformers.GitVisionConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;quick_gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> \`<code>&quot;quick_gelu&quot;</code> are supported. layer_norm_eps (<code>float</code>, <em>optional</em>,
defaults to 1e-5): The epsilon used by the layer normalization layers.`,name:"hidden_act"},{anchor:"transformers.GitVisionConfig.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probabilitiy for all fully connected layers in the embeddings, encoder, and pooler.`,name:"dropout"},{anchor:"transformers.GitVisionConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.GitVisionConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.GitVisionConfig.initializer_factor",description:`<strong>initializer_factor</strong> (<code>float</code>, <em>optional</em>, defaults to 1) &#x2014;
A factor for initializing all weight matrices (should be kept to 1, used internally for initialization
testing).`,name:"initializer_factor"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/git/configuration_git.py#L32"}}),we=new Mt({props:{anchor:"transformers.GitVisionConfig.example",$$slots:{default:[td]},$$scope:{ctx:P}}}),Ye=new he({}),et=new S({props:{name:"class transformers.GitVisionModel",anchor:"transformers.GitVisionModel",parameters:[{name:"config",val:": GitVisionConfig"}],parametersDescription:[{anchor:"transformers.GitVisionModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/git#transformers.GitConfig">GitConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/git/modeling_git.py#L992"}}),nt=new S({props:{name:"forward",anchor:"transformers.GitVisionModel.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.GitVisionModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Padding will be ignored by default should you provide it. Pixel values can be obtained using
<a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <a href="/docs/transformers/v4.26.0/en/model_doc/poolformer#transformers.PoolFormerFeatureExtractor.__call__">CLIPImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.GitVisionModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.GitVisionModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.GitVisionModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/git/modeling_git.py#L1006",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.BaseModelOutput"
>transformers.modeling_outputs.BaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.git.configuration_git.GitVisionConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.BaseModelOutput"
>transformers.modeling_outputs.BaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),$e=new Ti({props:{$$slots:{default:[od]},$$scope:{ctx:P}}}),Te=new Mt({props:{anchor:"transformers.GitVisionModel.forward.example",$$slots:{default:[sd]},$$scope:{ctx:P}}}),at=new he({}),rt=new S({props:{name:"class transformers.GitConfig",anchor:"transformers.GitConfig",parameters:[{name:"vision_config",val:" = None"},{name:"vocab_size",val:" = 30522"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 6"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.1"},{name:"attention_probs_dropout_prob",val:" = 0.1"},{name:"max_position_embeddings",val:" = 1024"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"pad_token_id",val:" = 0"},{name:"position_embedding_type",val:" = 'absolute'"},{name:"use_cache",val:" = True"},{name:"classifier_dropout",val:" = None"},{name:"tie_word_embeddings",val:" = False"},{name:"bos_token_id",val:" = 101"},{name:"eos_token_id",val:" = 102"},{name:"num_image_with_embedding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.GitConfig.vision_config",description:`<strong>vision_config</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Dictionary of configuration options used to initialize <a href="/docs/transformers/v4.26.0/en/model_doc/git#transformers.GitVisionConfig">GitVisionConfig</a>.`,name:"vision_config"},{anchor:"transformers.GitConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 30522) &#x2014;
Vocabulary size of the GIT model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/v4.26.0/en/model_doc/git#transformers.GitModel">GitModel</a>.`,name:"vocab_size"},{anchor:"transformers.GitConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.GitConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 6) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.GitConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.GitConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.GitConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>Callable</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.GitConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.GitConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.GitConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.GitConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.GitConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.GitConfig.position_embedding_type",description:`<strong>position_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;absolute&quot;</code>) &#x2014;
Type of position embedding. Choose one of <code>&quot;absolute&quot;</code>, <code>&quot;relative_key&quot;</code>, <code>&quot;relative_key_query&quot;</code>. For
positional embeddings use <code>&quot;absolute&quot;</code>. For more information on <code>&quot;relative_key&quot;</code>, please refer to
<a href="https://arxiv.org/abs/1803.02155" rel="nofollow">Self-Attention with Relative Position Representations (Shaw et al.)</a>.
For more information on <code>&quot;relative_key_query&quot;</code>, please refer to <em>Method 4</em> in <a href="https://arxiv.org/abs/2009.13658" rel="nofollow">Improve Transformer Models
with Better Relative Position Embeddings (Huang et al.)</a>.`,name:"position_embedding_type"},{anchor:"transformers.GitConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models).`,name:"use_cache"},{anchor:"transformers.GitConfig.classifier_dropout",description:`<strong>classifier_dropout</strong> (<code>float</code>, <em>optional</em>) &#x2014;
The dropout ratio for the classification head.`,name:"classifier_dropout"},{anchor:"transformers.GitConfig.num_image_with_embedding",description:`<strong>num_image_with_embedding</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The number of temporal embeddings to add, in case the model is used for video captioning/VQA.`,name:"num_image_with_embedding"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/git/configuration_git.py#L139"}}),xe=new Mt({props:{anchor:"transformers.GitConfig.example",$$slots:{default:[nd]},$$scope:{ctx:P}}}),lt=new S({props:{name:"to_dict",anchor:"transformers.GitConfig.to_dict",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/git/configuration_git.py#L257"}}),dt=new he({}),ct=new S({props:{name:"class transformers.GitProcessor",anchor:"transformers.GitProcessor",parameters:[{name:"image_processor",val:""},{name:"tokenizer",val:""}],parametersDescription:[{anchor:"transformers.GitProcessor.image_processor",description:`<strong>image_processor</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>) &#x2014;
The image processor is a required input.`,name:"image_processor"},{anchor:"transformers.GitProcessor.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>) &#x2014;
The tokenizer is a required input.`,name:"tokenizer"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/git/processing_git.py#L23"}}),mt=new S({props:{name:"__call__",anchor:"transformers.GitProcessor.__call__",parameters:[{name:"text",val:" = None"},{name:"images",val:" = None"},{name:"return_tensors",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.GitProcessor.__call__.text",description:`<strong>text</strong> (<code>str</code>, <code>List[str]</code>, <code>List[List[str]]</code>) &#x2014;
The sequence or batch of sequences to be encoded. Each sequence can be a string or a list of strings
(pretokenized string). If the sequences are provided as list of strings (pretokenized), you must set
<code>is_split_into_words=True</code> (to lift the ambiguity with a batch of sequences).`,name:"text"},{anchor:"transformers.GitProcessor.__call__.images",description:`<strong>images</strong> (<code>PIL.Image.Image</code>, <code>np.ndarray</code>, <code>torch.Tensor</code>, <code>List[PIL.Image.Image]</code>, <code>List[np.ndarray]</code>, <code>List[torch.Tensor]</code>) &#x2014;
The image or batch of images to be prepared. Each image can be a PIL image, NumPy array or PyTorch
tensor. In case of a NumPy array/PyTorch tensor, each image should be of shape (C, H, W), where C is a
number of channels, H and W are image height and width.`,name:"images"},{anchor:"transformers.GitProcessor.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <a href="/docs/transformers/v4.26.0/en/internal/file_utils#transformers.TensorType">TensorType</a>, <em>optional</em>) &#x2014;
If set, will return tensors of a particular framework. Acceptable values are:</p>
<ul>
<li><code>&apos;tf&apos;</code>: Return TensorFlow <code>tf.constant</code> objects.</li>
<li><code>&apos;pt&apos;</code>: Return PyTorch <code>torch.Tensor</code> objects.</li>
<li><code>&apos;np&apos;</code>: Return NumPy <code>np.ndarray</code> objects.</li>
<li><code>&apos;jax&apos;</code>: Return JAX <code>jnp.ndarray</code> objects.</li>
</ul>`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/git/processing_git.py#L44",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.BatchEncoding"
>BatchEncoding</a> with the following fields:</p>
<ul>
<li><strong>input_ids</strong> \u2014 List of token ids to be fed to a model. Returned when <code>text</code> is not <code>None</code>.</li>
<li><strong>attention_mask</strong> \u2014 List of indices specifying which tokens should be attended to by the model (when
<code>return_attention_mask=True</code> or if <em>\u201Cattention_mask\u201D</em> is in <code>self.model_input_names</code> and if <code>text</code> is not
<code>None</code>).</li>
<li><strong>pixel_values</strong> \u2014 Pixel values to be fed to a model. Returned when <code>images</code> is not <code>None</code>.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.BatchEncoding"
>BatchEncoding</a></p>
`}}),ut=new he({}),gt=new S({props:{name:"class transformers.GitModel",anchor:"transformers.GitModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.GitModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/git#transformers.GitConfig">GitConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/git/modeling_git.py#L1063"}}),wt=new S({props:{name:"forward",anchor:"transformers.GitModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"pixel_values",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.GitModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.GitModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.GitModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.GitModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/v4.26.0/en/model_doc/poolformer#transformers.PoolFormerFeatureExtractor.__call__">CLIPImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.GitModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.GitModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.GitModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.GitModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.GitModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.GitModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.GitModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/git/modeling_git.py#L1153",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/git#transformers.GitConfig"
>GitConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Me=new Ti({props:{$$slots:{default:[ad]},$$scope:{ctx:P}}}),Ee=new Mt({props:{anchor:"transformers.GitModel.forward.example",$$slots:{default:[rd]},$$scope:{ctx:P}}}),yt=new he({}),$t=new S({props:{name:"class transformers.GitForCausalLM",anchor:"transformers.GitForCausalLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.GitForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/git#transformers.GitConfig">GitConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/git/modeling_git.py#L1324"}}),Pt=new S({props:{name:"forward",anchor:"transformers.GitForCausalLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"pixel_values",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.Tensor]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.GitForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.GitForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.GitForCausalLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.GitForCausalLM.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/v4.26.0/en/model_doc/poolformer#transformers.PoolFormerFeatureExtractor.__call__">CLIPImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.GitForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.GitForCausalLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.GitForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.GitForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.GitForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.GitForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the left-to-right language modeling loss (next word prediction). Indices should be in
<code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are
ignored (masked), the loss is only computed for the tokens with labels n <code>[0, ..., config.vocab_size]</code>`,name:"labels"},{anchor:"transformers.GitForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.GitForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/git/modeling_git.py#L1340",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithPast"
>transformers.modeling_outputs.CausalLMOutputWithPast</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/git#transformers.GitConfig"
>GitConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>)</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithPast"
>transformers.modeling_outputs.CausalLMOutputWithPast</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),qe=new Ti({props:{$$slots:{default:[id]},$$scope:{ctx:P}}}),ze=new Mt({props:{anchor:"transformers.GitForCausalLM.forward.example",$$slots:{default:[ld]},$$scope:{ctx:P}}}),Ae=new Mt({props:{anchor:"transformers.GitForCausalLM.forward.example-2",$$slots:{default:[dd]},$$scope:{ctx:P}}}),Le=new Mt({props:{anchor:"transformers.GitForCausalLM.forward.example-3",$$slots:{default:[cd]},$$scope:{ctx:P}}}),{c(){c=a("meta"),b=p(),_=a("h1"),h=a("a"),v=a("span"),w(l.$$.fragment),u=p(),z=a("span"),Ys=s("GIT"),is=p(),J=a("h2"),fe=a("a"),fo=a("span"),w(De.$$.fragment),en=p(),uo=a("span"),tn=s("Overview"),ls=p(),R=a("p"),on=s("The GIT model was proposed in "),Se=a("a"),sn=s("GIT: A Generative Image-to-text Transformer for Vision and Language"),nn=s(` by
Jianfeng Wang, Zhengyuan Yang, Xiaowei Hu, Linjie Li, Kevin Lin, Zhe Gan, Zicheng Liu, Ce Liu, Lijuan Wang. GIT is a decoder-only Transformer
that leverages `),qt=a("a"),an=s("CLIP"),rn=s(`\u2019s vision encoder to condition the model on vision inputs besides text. The model obtains state-of-the-art results on
image captioning and visual question answering benchmarks.`),ds=p(),zt=a("p"),ln=s("The abstract from the paper is the following:"),cs=p(),At=a("p"),go=a("em"),dn=s("In this paper, we design and train a Generative Image-to-text Transformer, GIT, to unify vision-language tasks such as image/video captioning and question answering. While generative models provide a consistent network architecture between pre-training and fine-tuning, existing work typically contains complex structures (uni/multi-modal encoder/decoder) and depends on external modules such as object detectors/taggers and optical character recognition (OCR). In GIT, we simplify the architecture as one image encoder and one text decoder under a single language modeling task. We also scale up the pre-training data and the model size to boost the model performance. Without bells and whistles, our GIT establishes new state of the arts on 12 challenging benchmarks with a large margin. For instance, our model surpasses the human performance for the first time on TextCaps (138.2 vs. 125.5 in CIDEr). Furthermore, we present a new scheme of generation-based image classification and scene text recognition, achieving decent performance on standard benchmarks."),ps=p(),Lt=a("p"),cn=s("Tips:"),ms=p(),ue=a("ul"),Re=a("li"),pn=s("GIT is implemented in a very similar way to GPT-2, the only difference being that the model is also conditioned on "),_o=a("code"),mn=s("pixel_values"),hn=s("."),fn=p(),Q=a("li"),un=s("One can use "),Ft=a("a"),gn=s("GitProcessor"),_n=s(" to prepare images for the model, and the "),vo=a("code"),vn=s("generate"),bn=s(" method for autoregressive generation."),hs=p(),ge=a("img"),fs=p(),_e=a("small"),wn=s("GIT architecture. Taken from the "),We=a("a"),yn=s("original paper"),$n=s("."),us=p(),W=a("p"),Tn=s("This model was contributed by "),Be=a("a"),kn=s("nielsr"),xn=s(`.
The original code can be found `),He=a("a"),Gn=s("here"),Pn=s("."),gs=p(),X=a("h2"),ve=a("a"),bo=a("span"),w(Ue.$$.fragment),jn=p(),wo=a("span"),Cn=s("Resources"),_s=p(),Vt=a("p"),Mn=s("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with GIT."),vs=p(),Ot=a("ul"),Ze=a("li"),En=s("Demo notebooks regarding inference + fine-tuning GIT on custom data can be found "),Je=a("a"),In=s("here"),qn=s("."),bs=p(),Nt=a("p"),zn=s(`If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we will review it.
The resource should ideally demonstrate something new instead of duplicating an existing resource.`),ws=p(),K=a("h2"),be=a("a"),yo=a("span"),w(Qe.$$.fragment),An=p(),$o=a("span"),Ln=s("GitVisionConfig"),ys=p(),F=a("div"),w(Xe.$$.fragment),Fn=p(),Y=a("p"),Vn=s("This is the configuration class to store the configuration of a "),Dt=a("a"),On=s("GitVisionModel"),Nn=s(`. It is used to instantiate a GIT
vision encoder according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the vision encoder of the GIT
`),Ke=a("a"),Dn=s("microsoft/git-base"),Sn=s(" architecture."),Rn=p(),ee=a("p"),Wn=s("Configuration objects inherit from "),St=a("a"),Bn=s("PretrainedConfig"),Hn=s(` and can be used to control the model outputs. Read the
documentation from `),Rt=a("a"),Un=s("PretrainedConfig"),Zn=s(" for more information."),Jn=p(),w(we.$$.fragment),$s=p(),te=a("h2"),ye=a("a"),To=a("span"),w(Ye.$$.fragment),Qn=p(),ko=a("span"),Xn=s("GitVisionModel"),Ts=p(),M=a("div"),w(et.$$.fragment),Kn=p(),xo=a("p"),Yn=s("The vision model from CLIP, used in GIT, without any head or projection on top."),ea=p(),tt=a("p"),ta=s("This model inherits from "),Wt=a("a"),oa=s("PreTrainedModel"),sa=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),na=p(),ot=a("p"),aa=s("This model is also a PyTorch "),st=a("a"),ra=s("torch.nn.Module"),ia=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),la=p(),O=a("div"),w(nt.$$.fragment),da=p(),oe=a("p"),ca=s("The "),Bt=a("a"),pa=s("GitVisionModel"),ma=s(" forward method, overrides the "),Go=a("code"),ha=s("__call__"),fa=s(" special method."),ua=p(),w($e.$$.fragment),ga=p(),w(Te.$$.fragment),ks=p(),se=a("h2"),ke=a("a"),Po=a("span"),w(at.$$.fragment),_a=p(),jo=a("span"),va=s("GitConfig"),xs=p(),E=a("div"),w(rt.$$.fragment),ba=p(),ne=a("p"),wa=s("This is the configuration class to store the configuration of a "),Ht=a("a"),ya=s("GitModel"),$a=s(`. It is used to instantiate a GIT model
according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the GIT
`),it=a("a"),Ta=s("microsoft/git-base"),ka=s(" architecture."),xa=p(),ae=a("p"),Ga=s("Configuration objects inherit from "),Ut=a("a"),Pa=s("PretrainedConfig"),ja=s(` and can be used to control the model outputs. Read the
documentation from `),Zt=a("a"),Ca=s("PretrainedConfig"),Ma=s(" for more information."),Ea=p(),w(xe.$$.fragment),Ia=p(),Ge=a("div"),w(lt.$$.fragment),qa=p(),re=a("p"),za=s("Serializes this instance to a Python dictionary. Override the default "),Jt=a("a"),Aa=s("to_dict()"),La=s(`. Returns:
`),Co=a("code"),Fa=s("Dict[str, any]"),Va=s(": Dictionary of all the attributes that make up this configuration instance,"),Gs=p(),ie=a("h2"),Pe=a("a"),Mo=a("span"),w(dt.$$.fragment),Oa=p(),Eo=a("span"),Na=s("GitProcessor"),Ps=p(),V=a("div"),w(ct.$$.fragment),Da=p(),Io=a("p"),Sa=s("Constructs a GIT processor which wraps a CLIP image processor and a BERT tokenizer into a single processor."),Ra=p(),A=a("p"),Qt=a("a"),Wa=s("GitProcessor"),Ba=s(" offers all the functionalities of "),Xt=a("a"),Ha=s("CLIPImageProcessor"),Ua=s(" and "),Kt=a("a"),Za=s("BertTokenizerFast"),Ja=s(`. See the
`),pt=a("a"),qo=a("strong"),Qa=s("call"),Xa=s("()"),Ka=s(" and "),zo=a("code"),Ya=s("decode()"),er=s(" for more information."),tr=p(),je=a("div"),w(mt.$$.fragment),or=p(),G=a("p"),sr=s("Main method to prepare for the model one or several sequences(s) and image(s). This method forwards the "),Ao=a("code"),nr=s("text"),ar=s(`
and `),Lo=a("code"),rr=s("kwargs"),ir=s(" arguments to BertTokenizerFast\u2019s "),ht=a("a"),Fo=a("strong"),lr=s("call"),dr=s("()"),cr=s(" if "),Vo=a("code"),pr=s("text"),mr=s(" is not "),Oo=a("code"),hr=s("None"),fr=s(` to encode
the text. To prepare the image(s), this method forwards the `),No=a("code"),ur=s("images"),gr=s(" and "),Do=a("code"),_r=s("kwrags"),vr=s(` arguments to
CLIPImageProcessor\u2019s `),ft=a("a"),So=a("strong"),br=s("call"),wr=s("()"),yr=s(" if "),Ro=a("code"),$r=s("images"),Tr=s(" is not "),Wo=a("code"),kr=s("None"),xr=s(`. Please refer to the doctsring
of the above two methods for more information.`),js=p(),le=a("h2"),Ce=a("a"),Bo=a("span"),w(ut.$$.fragment),Gr=p(),Ho=a("span"),Pr=s("GitModel"),Cs=p(),I=a("div"),w(gt.$$.fragment),jr=p(),Uo=a("p"),Cr=s("The bare GIT Model transformer consisting of a CLIP image encoder and text decoder outputting raw hidden-states without any specific head on top."),Mr=p(),_t=a("p"),Er=s("This model inherits from "),Yt=a("a"),Ir=s("PreTrainedModel"),qr=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),zr=p(),vt=a("p"),Ar=s("This model is also a PyTorch "),bt=a("a"),Lr=s("torch.nn.Module"),Fr=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Vr=p(),N=a("div"),w(wt.$$.fragment),Or=p(),de=a("p"),Nr=s("The "),eo=a("a"),Dr=s("GitModel"),Sr=s(" forward method, overrides the "),Zo=a("code"),Rr=s("__call__"),Wr=s(" special method."),Br=p(),w(Me.$$.fragment),Hr=p(),w(Ee.$$.fragment),Ms=p(),ce=a("h2"),Ie=a("a"),Jo=a("span"),w(yt.$$.fragment),Ur=p(),Qo=a("span"),Zr=s("GitForCausalLM"),Es=p(),q=a("div"),w($t.$$.fragment),Jr=p(),Tt=a("p"),Qr=s("GIT Model with a "),Xo=a("code"),Xr=s("language modeling"),Kr=s(" head on top for autoregressive language modeling."),Yr=p(),kt=a("p"),ei=s("This model inherits from "),to=a("a"),ti=s("PreTrainedModel"),oi=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),si=p(),xt=a("p"),ni=s("This model is also a PyTorch "),Gt=a("a"),ai=s("torch.nn.Module"),ri=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ii=p(),C=a("div"),w(Pt.$$.fragment),li=p(),pe=a("p"),di=s("The "),oo=a("a"),ci=s("GitForCausalLM"),pi=s(" forward method, overrides the "),Ko=a("code"),mi=s("__call__"),hi=s(" special method."),fi=p(),w(qe.$$.fragment),ui=p(),Yo=a("p"),gi=s("Examples:"),_i=p(),w(ze.$$.fragment),vi=p(),w(Ae.$$.fragment),bi=p(),w(Le.$$.fragment),this.h()},l(t){const f=Kl('[data-svelte="svelte-1phssyn"]',document.head);c=r(f,"META",{name:!0,content:!0}),f.forEach(o),b=m(t),_=r(t,"H1",{class:!0});var jt=i(_);h=r(jt,"A",{id:!0,class:!0,href:!0});var es=i(h);v=r(es,"SPAN",{});var ts=i(v);y(l.$$.fragment,ts),ts.forEach(o),es.forEach(o),u=m(jt),z=r(jt,"SPAN",{});var os=i(z);Ys=n(os,"GIT"),os.forEach(o),jt.forEach(o),is=m(t),J=r(t,"H2",{class:!0});var Ct=i(J);fe=r(Ct,"A",{id:!0,class:!0,href:!0});var ss=i(fe);fo=r(ss,"SPAN",{});var ns=i(fo);y(De.$$.fragment,ns),ns.forEach(o),ss.forEach(o),en=m(Ct),uo=r(Ct,"SPAN",{});var as=i(uo);tn=n(as,"Overview"),as.forEach(o),Ct.forEach(o),ls=m(t),R=r(t,"P",{});var me=i(R);on=n(me,"The GIT model was proposed in "),Se=r(me,"A",{href:!0,rel:!0});var rs=i(Se);sn=n(rs,"GIT: A Generative Image-to-text Transformer for Vision and Language"),rs.forEach(o),nn=n(me,` by
Jianfeng Wang, Zhengyuan Yang, Xiaowei Hu, Linjie Li, Kevin Lin, Zhe Gan, Zicheng Liu, Ce Liu, Lijuan Wang. GIT is a decoder-only Transformer
that leverages `),qt=r(me,"A",{href:!0});var xi=i(qt);an=n(xi,"CLIP"),xi.forEach(o),rn=n(me,`\u2019s vision encoder to condition the model on vision inputs besides text. The model obtains state-of-the-art results on
image captioning and visual question answering benchmarks.`),me.forEach(o),ds=m(t),zt=r(t,"P",{});var Gi=i(zt);ln=n(Gi,"The abstract from the paper is the following:"),Gi.forEach(o),cs=m(t),At=r(t,"P",{});var Pi=i(At);go=r(Pi,"EM",{});var ji=i(go);dn=n(ji,"In this paper, we design and train a Generative Image-to-text Transformer, GIT, to unify vision-language tasks such as image/video captioning and question answering. While generative models provide a consistent network architecture between pre-training and fine-tuning, existing work typically contains complex structures (uni/multi-modal encoder/decoder) and depends on external modules such as object detectors/taggers and optical character recognition (OCR). In GIT, we simplify the architecture as one image encoder and one text decoder under a single language modeling task. We also scale up the pre-training data and the model size to boost the model performance. Without bells and whistles, our GIT establishes new state of the arts on 12 challenging benchmarks with a large margin. For instance, our model surpasses the human performance for the first time on TextCaps (138.2 vs. 125.5 in CIDEr). Furthermore, we present a new scheme of generation-based image classification and scene text recognition, achieving decent performance on standard benchmarks."),ji.forEach(o),Pi.forEach(o),ps=m(t),Lt=r(t,"P",{});var Ci=i(Lt);cn=n(Ci,"Tips:"),Ci.forEach(o),ms=m(t),ue=r(t,"UL",{});var qs=i(ue);Re=r(qs,"LI",{});var zs=i(Re);pn=n(zs,"GIT is implemented in a very similar way to GPT-2, the only difference being that the model is also conditioned on "),_o=r(zs,"CODE",{});var Mi=i(_o);mn=n(Mi,"pixel_values"),Mi.forEach(o),hn=n(zs,"."),zs.forEach(o),fn=m(qs),Q=r(qs,"LI",{});var so=i(Q);un=n(so,"One can use "),Ft=r(so,"A",{href:!0});var Ei=i(Ft);gn=n(Ei,"GitProcessor"),Ei.forEach(o),_n=n(so," to prepare images for the model, and the "),vo=r(so,"CODE",{});var Ii=i(vo);vn=n(Ii,"generate"),Ii.forEach(o),bn=n(so," method for autoregressive generation."),so.forEach(o),qs.forEach(o),hs=m(t),ge=r(t,"IMG",{src:!0,alt:!0,width:!0}),fs=m(t),_e=r(t,"SMALL",{});var As=i(_e);wn=n(As,"GIT architecture. Taken from the "),We=r(As,"A",{href:!0,target:!0});var qi=i(We);yn=n(qi,"original paper"),qi.forEach(o),$n=n(As,"."),As.forEach(o),us=m(t),W=r(t,"P",{});var no=i(W);Tn=n(no,"This model was contributed by "),Be=r(no,"A",{href:!0,rel:!0});var zi=i(Be);kn=n(zi,"nielsr"),zi.forEach(o),xn=n(no,`.
The original code can be found `),He=r(no,"A",{href:!0,rel:!0});var Ai=i(He);Gn=n(Ai,"here"),Ai.forEach(o),Pn=n(no,"."),no.forEach(o),gs=m(t),X=r(t,"H2",{class:!0});var Ls=i(X);ve=r(Ls,"A",{id:!0,class:!0,href:!0});var Li=i(ve);bo=r(Li,"SPAN",{});var Fi=i(bo);y(Ue.$$.fragment,Fi),Fi.forEach(o),Li.forEach(o),jn=m(Ls),wo=r(Ls,"SPAN",{});var Vi=i(wo);Cn=n(Vi,"Resources"),Vi.forEach(o),Ls.forEach(o),_s=m(t),Vt=r(t,"P",{});var Oi=i(Vt);Mn=n(Oi,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with GIT."),Oi.forEach(o),vs=m(t),Ot=r(t,"UL",{});var Ni=i(Ot);Ze=r(Ni,"LI",{});var Fs=i(Ze);En=n(Fs,"Demo notebooks regarding inference + fine-tuning GIT on custom data can be found "),Je=r(Fs,"A",{href:!0,rel:!0});var Di=i(Je);In=n(Di,"here"),Di.forEach(o),qn=n(Fs,"."),Fs.forEach(o),Ni.forEach(o),bs=m(t),Nt=r(t,"P",{});var Si=i(Nt);zn=n(Si,`If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we will review it.
The resource should ideally demonstrate something new instead of duplicating an existing resource.`),Si.forEach(o),ws=m(t),K=r(t,"H2",{class:!0});var Vs=i(K);be=r(Vs,"A",{id:!0,class:!0,href:!0});var Ri=i(be);yo=r(Ri,"SPAN",{});var Wi=i(yo);y(Qe.$$.fragment,Wi),Wi.forEach(o),Ri.forEach(o),An=m(Vs),$o=r(Vs,"SPAN",{});var Bi=i($o);Ln=n(Bi,"GitVisionConfig"),Bi.forEach(o),Vs.forEach(o),ys=m(t),F=r(t,"DIV",{class:!0});var Fe=i(F);y(Xe.$$.fragment,Fe),Fn=m(Fe),Y=r(Fe,"P",{});var ao=i(Y);Vn=n(ao,"This is the configuration class to store the configuration of a "),Dt=r(ao,"A",{href:!0});var Hi=i(Dt);On=n(Hi,"GitVisionModel"),Hi.forEach(o),Nn=n(ao,`. It is used to instantiate a GIT
vision encoder according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the vision encoder of the GIT
`),Ke=r(ao,"A",{href:!0,rel:!0});var Ui=i(Ke);Dn=n(Ui,"microsoft/git-base"),Ui.forEach(o),Sn=n(ao," architecture."),ao.forEach(o),Rn=m(Fe),ee=r(Fe,"P",{});var ro=i(ee);Wn=n(ro,"Configuration objects inherit from "),St=r(ro,"A",{href:!0});var Zi=i(St);Bn=n(Zi,"PretrainedConfig"),Zi.forEach(o),Hn=n(ro,` and can be used to control the model outputs. Read the
documentation from `),Rt=r(ro,"A",{href:!0});var Ji=i(Rt);Un=n(Ji,"PretrainedConfig"),Ji.forEach(o),Zn=n(ro," for more information."),ro.forEach(o),Jn=m(Fe),y(we.$$.fragment,Fe),Fe.forEach(o),$s=m(t),te=r(t,"H2",{class:!0});var Os=i(te);ye=r(Os,"A",{id:!0,class:!0,href:!0});var Qi=i(ye);To=r(Qi,"SPAN",{});var Xi=i(To);y(Ye.$$.fragment,Xi),Xi.forEach(o),Qi.forEach(o),Qn=m(Os),ko=r(Os,"SPAN",{});var Ki=i(ko);Xn=n(Ki,"GitVisionModel"),Ki.forEach(o),Os.forEach(o),Ts=m(t),M=r(t,"DIV",{class:!0});var B=i(M);y(et.$$.fragment,B),Kn=m(B),xo=r(B,"P",{});var Yi=i(xo);Yn=n(Yi,"The vision model from CLIP, used in GIT, without any head or projection on top."),Yi.forEach(o),ea=m(B),tt=r(B,"P",{});var Ns=i(tt);ta=n(Ns,"This model inherits from "),Wt=r(Ns,"A",{href:!0});var el=i(Wt);oa=n(el,"PreTrainedModel"),el.forEach(o),sa=n(Ns,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ns.forEach(o),na=m(B),ot=r(B,"P",{});var Ds=i(ot);aa=n(Ds,"This model is also a PyTorch "),st=r(Ds,"A",{href:!0,rel:!0});var tl=i(st);ra=n(tl,"torch.nn.Module"),tl.forEach(o),ia=n(Ds,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ds.forEach(o),la=m(B),O=r(B,"DIV",{class:!0});var Ve=i(O);y(nt.$$.fragment,Ve),da=m(Ve),oe=r(Ve,"P",{});var io=i(oe);ca=n(io,"The "),Bt=r(io,"A",{href:!0});var ol=i(Bt);pa=n(ol,"GitVisionModel"),ol.forEach(o),ma=n(io," forward method, overrides the "),Go=r(io,"CODE",{});var sl=i(Go);ha=n(sl,"__call__"),sl.forEach(o),fa=n(io," special method."),io.forEach(o),ua=m(Ve),y($e.$$.fragment,Ve),ga=m(Ve),y(Te.$$.fragment,Ve),Ve.forEach(o),B.forEach(o),ks=m(t),se=r(t,"H2",{class:!0});var Ss=i(se);ke=r(Ss,"A",{id:!0,class:!0,href:!0});var nl=i(ke);Po=r(nl,"SPAN",{});var al=i(Po);y(at.$$.fragment,al),al.forEach(o),nl.forEach(o),_a=m(Ss),jo=r(Ss,"SPAN",{});var rl=i(jo);va=n(rl,"GitConfig"),rl.forEach(o),Ss.forEach(o),xs=m(t),E=r(t,"DIV",{class:!0});var H=i(E);y(rt.$$.fragment,H),ba=m(H),ne=r(H,"P",{});var lo=i(ne);wa=n(lo,"This is the configuration class to store the configuration of a "),Ht=r(lo,"A",{href:!0});var il=i(Ht);ya=n(il,"GitModel"),il.forEach(o),$a=n(lo,`. It is used to instantiate a GIT model
according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the GIT
`),it=r(lo,"A",{href:!0,rel:!0});var ll=i(it);Ta=n(ll,"microsoft/git-base"),ll.forEach(o),ka=n(lo," architecture."),lo.forEach(o),xa=m(H),ae=r(H,"P",{});var co=i(ae);Ga=n(co,"Configuration objects inherit from "),Ut=r(co,"A",{href:!0});var dl=i(Ut);Pa=n(dl,"PretrainedConfig"),dl.forEach(o),ja=n(co,` and can be used to control the model outputs. Read the
documentation from `),Zt=r(co,"A",{href:!0});var cl=i(Zt);Ca=n(cl,"PretrainedConfig"),cl.forEach(o),Ma=n(co," for more information."),co.forEach(o),Ea=m(H),y(xe.$$.fragment,H),Ia=m(H),Ge=r(H,"DIV",{class:!0});var Rs=i(Ge);y(lt.$$.fragment,Rs),qa=m(Rs),re=r(Rs,"P",{});var po=i(re);za=n(po,"Serializes this instance to a Python dictionary. Override the default "),Jt=r(po,"A",{href:!0});var pl=i(Jt);Aa=n(pl,"to_dict()"),pl.forEach(o),La=n(po,`. Returns:
`),Co=r(po,"CODE",{});var ml=i(Co);Fa=n(ml,"Dict[str, any]"),ml.forEach(o),Va=n(po,": Dictionary of all the attributes that make up this configuration instance,"),po.forEach(o),Rs.forEach(o),H.forEach(o),Gs=m(t),ie=r(t,"H2",{class:!0});var Ws=i(ie);Pe=r(Ws,"A",{id:!0,class:!0,href:!0});var hl=i(Pe);Mo=r(hl,"SPAN",{});var fl=i(Mo);y(dt.$$.fragment,fl),fl.forEach(o),hl.forEach(o),Oa=m(Ws),Eo=r(Ws,"SPAN",{});var ul=i(Eo);Na=n(ul,"GitProcessor"),ul.forEach(o),Ws.forEach(o),Ps=m(t),V=r(t,"DIV",{class:!0});var Oe=i(V);y(ct.$$.fragment,Oe),Da=m(Oe),Io=r(Oe,"P",{});var gl=i(Io);Sa=n(gl,"Constructs a GIT processor which wraps a CLIP image processor and a BERT tokenizer into a single processor."),gl.forEach(o),Ra=m(Oe),A=r(Oe,"P",{});var D=i(A);Qt=r(D,"A",{href:!0});var _l=i(Qt);Wa=n(_l,"GitProcessor"),_l.forEach(o),Ba=n(D," offers all the functionalities of "),Xt=r(D,"A",{href:!0});var vl=i(Xt);Ha=n(vl,"CLIPImageProcessor"),vl.forEach(o),Ua=n(D," and "),Kt=r(D,"A",{href:!0});var bl=i(Kt);Za=n(bl,"BertTokenizerFast"),bl.forEach(o),Ja=n(D,`. See the
`),pt=r(D,"A",{href:!0});var wi=i(pt);qo=r(wi,"STRONG",{});var wl=i(qo);Qa=n(wl,"call"),wl.forEach(o),Xa=n(wi,"()"),wi.forEach(o),Ka=n(D," and "),zo=r(D,"CODE",{});var yl=i(zo);Ya=n(yl,"decode()"),yl.forEach(o),er=n(D," for more information."),D.forEach(o),tr=m(Oe),je=r(Oe,"DIV",{class:!0});var Bs=i(je);y(mt.$$.fragment,Bs),or=m(Bs),G=r(Bs,"P",{});var j=i(G);sr=n(j,"Main method to prepare for the model one or several sequences(s) and image(s). This method forwards the "),Ao=r(j,"CODE",{});var $l=i(Ao);nr=n($l,"text"),$l.forEach(o),ar=n(j,`
and `),Lo=r(j,"CODE",{});var Tl=i(Lo);rr=n(Tl,"kwargs"),Tl.forEach(o),ir=n(j," arguments to BertTokenizerFast\u2019s "),ht=r(j,"A",{href:!0});var yi=i(ht);Fo=r(yi,"STRONG",{});var kl=i(Fo);lr=n(kl,"call"),kl.forEach(o),dr=n(yi,"()"),yi.forEach(o),cr=n(j," if "),Vo=r(j,"CODE",{});var xl=i(Vo);pr=n(xl,"text"),xl.forEach(o),mr=n(j," is not "),Oo=r(j,"CODE",{});var Gl=i(Oo);hr=n(Gl,"None"),Gl.forEach(o),fr=n(j,` to encode
the text. To prepare the image(s), this method forwards the `),No=r(j,"CODE",{});var Pl=i(No);ur=n(Pl,"images"),Pl.forEach(o),gr=n(j," and "),Do=r(j,"CODE",{});var jl=i(Do);_r=n(jl,"kwrags"),jl.forEach(o),vr=n(j,` arguments to
CLIPImageProcessor\u2019s `),ft=r(j,"A",{href:!0});var $i=i(ft);So=r($i,"STRONG",{});var Cl=i(So);br=n(Cl,"call"),Cl.forEach(o),wr=n($i,"()"),$i.forEach(o),yr=n(j," if "),Ro=r(j,"CODE",{});var Ml=i(Ro);$r=n(Ml,"images"),Ml.forEach(o),Tr=n(j," is not "),Wo=r(j,"CODE",{});var El=i(Wo);kr=n(El,"None"),El.forEach(o),xr=n(j,`. Please refer to the doctsring
of the above two methods for more information.`),j.forEach(o),Bs.forEach(o),Oe.forEach(o),js=m(t),le=r(t,"H2",{class:!0});var Hs=i(le);Ce=r(Hs,"A",{id:!0,class:!0,href:!0});var Il=i(Ce);Bo=r(Il,"SPAN",{});var ql=i(Bo);y(ut.$$.fragment,ql),ql.forEach(o),Il.forEach(o),Gr=m(Hs),Ho=r(Hs,"SPAN",{});var zl=i(Ho);Pr=n(zl,"GitModel"),zl.forEach(o),Hs.forEach(o),Cs=m(t),I=r(t,"DIV",{class:!0});var U=i(I);y(gt.$$.fragment,U),jr=m(U),Uo=r(U,"P",{});var Al=i(Uo);Cr=n(Al,"The bare GIT Model transformer consisting of a CLIP image encoder and text decoder outputting raw hidden-states without any specific head on top."),Al.forEach(o),Mr=m(U),_t=r(U,"P",{});var Us=i(_t);Er=n(Us,"This model inherits from "),Yt=r(Us,"A",{href:!0});var Ll=i(Yt);Ir=n(Ll,"PreTrainedModel"),Ll.forEach(o),qr=n(Us,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Us.forEach(o),zr=m(U),vt=r(U,"P",{});var Zs=i(vt);Ar=n(Zs,"This model is also a PyTorch "),bt=r(Zs,"A",{href:!0,rel:!0});var Fl=i(bt);Lr=n(Fl,"torch.nn.Module"),Fl.forEach(o),Fr=n(Zs,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Zs.forEach(o),Vr=m(U),N=r(U,"DIV",{class:!0});var Ne=i(N);y(wt.$$.fragment,Ne),Or=m(Ne),de=r(Ne,"P",{});var mo=i(de);Nr=n(mo,"The "),eo=r(mo,"A",{href:!0});var Vl=i(eo);Dr=n(Vl,"GitModel"),Vl.forEach(o),Sr=n(mo," forward method, overrides the "),Zo=r(mo,"CODE",{});var Ol=i(Zo);Rr=n(Ol,"__call__"),Ol.forEach(o),Wr=n(mo," special method."),mo.forEach(o),Br=m(Ne),y(Me.$$.fragment,Ne),Hr=m(Ne),y(Ee.$$.fragment,Ne),Ne.forEach(o),U.forEach(o),Ms=m(t),ce=r(t,"H2",{class:!0});var Js=i(ce);Ie=r(Js,"A",{id:!0,class:!0,href:!0});var Nl=i(Ie);Jo=r(Nl,"SPAN",{});var Dl=i(Jo);y(yt.$$.fragment,Dl),Dl.forEach(o),Nl.forEach(o),Ur=m(Js),Qo=r(Js,"SPAN",{});var Sl=i(Qo);Zr=n(Sl,"GitForCausalLM"),Sl.forEach(o),Js.forEach(o),Es=m(t),q=r(t,"DIV",{class:!0});var Z=i(q);y($t.$$.fragment,Z),Jr=m(Z),Tt=r(Z,"P",{});var Qs=i(Tt);Qr=n(Qs,"GIT Model with a "),Xo=r(Qs,"CODE",{});var Rl=i(Xo);Xr=n(Rl,"language modeling"),Rl.forEach(o),Kr=n(Qs," head on top for autoregressive language modeling."),Qs.forEach(o),Yr=m(Z),kt=r(Z,"P",{});var Xs=i(kt);ei=n(Xs,"This model inherits from "),to=r(Xs,"A",{href:!0});var Wl=i(to);ti=n(Wl,"PreTrainedModel"),Wl.forEach(o),oi=n(Xs,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Xs.forEach(o),si=m(Z),xt=r(Z,"P",{});var Ks=i(xt);ni=n(Ks,"This model is also a PyTorch "),Gt=r(Ks,"A",{href:!0,rel:!0});var Bl=i(Gt);ai=n(Bl,"torch.nn.Module"),Bl.forEach(o),ri=n(Ks,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ks.forEach(o),ii=m(Z),C=r(Z,"DIV",{class:!0});var L=i(C);y(Pt.$$.fragment,L),li=m(L),pe=r(L,"P",{});var ho=i(pe);di=n(ho,"The "),oo=r(ho,"A",{href:!0});var Hl=i(oo);ci=n(Hl,"GitForCausalLM"),Hl.forEach(o),pi=n(ho," forward method, overrides the "),Ko=r(ho,"CODE",{});var Ul=i(Ko);mi=n(Ul,"__call__"),Ul.forEach(o),hi=n(ho," special method."),ho.forEach(o),fi=m(L),y(qe.$$.fragment,L),ui=m(L),Yo=r(L,"P",{});var Zl=i(Yo);gi=n(Zl,"Examples:"),Zl.forEach(o),_i=m(L),y(ze.$$.fragment,L),vi=m(L),y(Ae.$$.fragment,L),bi=m(L),y(Le.$$.fragment,L),L.forEach(o),Z.forEach(o),this.h()},h(){d(c,"name","hf:doc:metadata"),d(c,"content",JSON.stringify(md)),d(h,"id","git"),d(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(h,"href","#git"),d(_,"class","relative group"),d(fe,"id","overview"),d(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(fe,"href","#overview"),d(J,"class","relative group"),d(Se,"href","https://arxiv.org/abs/2205.14100"),d(Se,"rel","nofollow"),d(qt,"href","clip"),d(Ft,"href","/docs/transformers/v4.26.0/en/model_doc/git#transformers.GitProcessor"),Yl(ge.src,ki="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/transformers/model_doc/git_architecture.jpg")||d(ge,"src",ki),d(ge,"alt","drawing"),d(ge,"width","600"),d(We,"href","https://arxiv.org/abs/2205.14100"),d(We,"target","_blank"),d(Be,"href","https://huggingface.co/nielsr"),d(Be,"rel","nofollow"),d(He,"href","https://github.com/microsoft/GenerativeImage2Text"),d(He,"rel","nofollow"),d(ve,"id","resources"),d(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ve,"href","#resources"),d(X,"class","relative group"),d(Je,"href","https://github.com/NielsRogge/Transformers-Tutorials/tree/master/GIT"),d(Je,"rel","nofollow"),d(be,"id","transformers.GitVisionConfig"),d(be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(be,"href","#transformers.GitVisionConfig"),d(K,"class","relative group"),d(Dt,"href","/docs/transformers/v4.26.0/en/model_doc/git#transformers.GitVisionModel"),d(Ke,"href","https://huggingface.co/microsoft/git-base"),d(Ke,"rel","nofollow"),d(St,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),d(Rt,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),d(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ye,"id","transformers.GitVisionModel"),d(ye,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ye,"href","#transformers.GitVisionModel"),d(te,"class","relative group"),d(Wt,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),d(st,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(st,"rel","nofollow"),d(Bt,"href","/docs/transformers/v4.26.0/en/model_doc/git#transformers.GitVisionModel"),d(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ke,"id","transformers.GitConfig"),d(ke,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ke,"href","#transformers.GitConfig"),d(se,"class","relative group"),d(Ht,"href","/docs/transformers/v4.26.0/en/model_doc/git#transformers.GitModel"),d(it,"href","https://huggingface.co/microsoft/git-base"),d(it,"rel","nofollow"),d(Ut,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),d(Zt,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),d(Jt,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig.to_dict"),d(Ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Pe,"id","transformers.GitProcessor"),d(Pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Pe,"href","#transformers.GitProcessor"),d(ie,"class","relative group"),d(Qt,"href","/docs/transformers/v4.26.0/en/model_doc/git#transformers.GitProcessor"),d(Xt,"href","/docs/transformers/v4.26.0/en/model_doc/clip#transformers.CLIPImageProcessor"),d(Kt,"href","/docs/transformers/v4.26.0/en/model_doc/bert#transformers.BertTokenizerFast"),d(pt,"href","/docs/transformers/v4.26.0/en/model_doc/git#transformers.GitProcessor.__call__"),d(ht,"href","/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__"),d(ft,"href","/docs/transformers/v4.26.0/en/model_doc/poolformer#transformers.PoolFormerFeatureExtractor.__call__"),d(je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ce,"id","transformers.GitModel"),d(Ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ce,"href","#transformers.GitModel"),d(le,"class","relative group"),d(Yt,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),d(bt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(bt,"rel","nofollow"),d(eo,"href","/docs/transformers/v4.26.0/en/model_doc/git#transformers.GitModel"),d(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ie,"id","transformers.GitForCausalLM"),d(Ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ie,"href","#transformers.GitForCausalLM"),d(ce,"class","relative group"),d(to,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),d(Gt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Gt,"rel","nofollow"),d(oo,"href","/docs/transformers/v4.26.0/en/model_doc/git#transformers.GitForCausalLM"),d(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,f){e(document.head,c),g(t,b,f),g(t,_,f),e(_,h),e(h,v),$(l,v,null),e(_,u),e(_,z),e(z,Ys),g(t,is,f),g(t,J,f),e(J,fe),e(fe,fo),$(De,fo,null),e(J,en),e(J,uo),e(uo,tn),g(t,ls,f),g(t,R,f),e(R,on),e(R,Se),e(Se,sn),e(R,nn),e(R,qt),e(qt,an),e(R,rn),g(t,ds,f),g(t,zt,f),e(zt,ln),g(t,cs,f),g(t,At,f),e(At,go),e(go,dn),g(t,ps,f),g(t,Lt,f),e(Lt,cn),g(t,ms,f),g(t,ue,f),e(ue,Re),e(Re,pn),e(Re,_o),e(_o,mn),e(Re,hn),e(ue,fn),e(ue,Q),e(Q,un),e(Q,Ft),e(Ft,gn),e(Q,_n),e(Q,vo),e(vo,vn),e(Q,bn),g(t,hs,f),g(t,ge,f),g(t,fs,f),g(t,_e,f),e(_e,wn),e(_e,We),e(We,yn),e(_e,$n),g(t,us,f),g(t,W,f),e(W,Tn),e(W,Be),e(Be,kn),e(W,xn),e(W,He),e(He,Gn),e(W,Pn),g(t,gs,f),g(t,X,f),e(X,ve),e(ve,bo),$(Ue,bo,null),e(X,jn),e(X,wo),e(wo,Cn),g(t,_s,f),g(t,Vt,f),e(Vt,Mn),g(t,vs,f),g(t,Ot,f),e(Ot,Ze),e(Ze,En),e(Ze,Je),e(Je,In),e(Ze,qn),g(t,bs,f),g(t,Nt,f),e(Nt,zn),g(t,ws,f),g(t,K,f),e(K,be),e(be,yo),$(Qe,yo,null),e(K,An),e(K,$o),e($o,Ln),g(t,ys,f),g(t,F,f),$(Xe,F,null),e(F,Fn),e(F,Y),e(Y,Vn),e(Y,Dt),e(Dt,On),e(Y,Nn),e(Y,Ke),e(Ke,Dn),e(Y,Sn),e(F,Rn),e(F,ee),e(ee,Wn),e(ee,St),e(St,Bn),e(ee,Hn),e(ee,Rt),e(Rt,Un),e(ee,Zn),e(F,Jn),$(we,F,null),g(t,$s,f),g(t,te,f),e(te,ye),e(ye,To),$(Ye,To,null),e(te,Qn),e(te,ko),e(ko,Xn),g(t,Ts,f),g(t,M,f),$(et,M,null),e(M,Kn),e(M,xo),e(xo,Yn),e(M,ea),e(M,tt),e(tt,ta),e(tt,Wt),e(Wt,oa),e(tt,sa),e(M,na),e(M,ot),e(ot,aa),e(ot,st),e(st,ra),e(ot,ia),e(M,la),e(M,O),$(nt,O,null),e(O,da),e(O,oe),e(oe,ca),e(oe,Bt),e(Bt,pa),e(oe,ma),e(oe,Go),e(Go,ha),e(oe,fa),e(O,ua),$($e,O,null),e(O,ga),$(Te,O,null),g(t,ks,f),g(t,se,f),e(se,ke),e(ke,Po),$(at,Po,null),e(se,_a),e(se,jo),e(jo,va),g(t,xs,f),g(t,E,f),$(rt,E,null),e(E,ba),e(E,ne),e(ne,wa),e(ne,Ht),e(Ht,ya),e(ne,$a),e(ne,it),e(it,Ta),e(ne,ka),e(E,xa),e(E,ae),e(ae,Ga),e(ae,Ut),e(Ut,Pa),e(ae,ja),e(ae,Zt),e(Zt,Ca),e(ae,Ma),e(E,Ea),$(xe,E,null),e(E,Ia),e(E,Ge),$(lt,Ge,null),e(Ge,qa),e(Ge,re),e(re,za),e(re,Jt),e(Jt,Aa),e(re,La),e(re,Co),e(Co,Fa),e(re,Va),g(t,Gs,f),g(t,ie,f),e(ie,Pe),e(Pe,Mo),$(dt,Mo,null),e(ie,Oa),e(ie,Eo),e(Eo,Na),g(t,Ps,f),g(t,V,f),$(ct,V,null),e(V,Da),e(V,Io),e(Io,Sa),e(V,Ra),e(V,A),e(A,Qt),e(Qt,Wa),e(A,Ba),e(A,Xt),e(Xt,Ha),e(A,Ua),e(A,Kt),e(Kt,Za),e(A,Ja),e(A,pt),e(pt,qo),e(qo,Qa),e(pt,Xa),e(A,Ka),e(A,zo),e(zo,Ya),e(A,er),e(V,tr),e(V,je),$(mt,je,null),e(je,or),e(je,G),e(G,sr),e(G,Ao),e(Ao,nr),e(G,ar),e(G,Lo),e(Lo,rr),e(G,ir),e(G,ht),e(ht,Fo),e(Fo,lr),e(ht,dr),e(G,cr),e(G,Vo),e(Vo,pr),e(G,mr),e(G,Oo),e(Oo,hr),e(G,fr),e(G,No),e(No,ur),e(G,gr),e(G,Do),e(Do,_r),e(G,vr),e(G,ft),e(ft,So),e(So,br),e(ft,wr),e(G,yr),e(G,Ro),e(Ro,$r),e(G,Tr),e(G,Wo),e(Wo,kr),e(G,xr),g(t,js,f),g(t,le,f),e(le,Ce),e(Ce,Bo),$(ut,Bo,null),e(le,Gr),e(le,Ho),e(Ho,Pr),g(t,Cs,f),g(t,I,f),$(gt,I,null),e(I,jr),e(I,Uo),e(Uo,Cr),e(I,Mr),e(I,_t),e(_t,Er),e(_t,Yt),e(Yt,Ir),e(_t,qr),e(I,zr),e(I,vt),e(vt,Ar),e(vt,bt),e(bt,Lr),e(vt,Fr),e(I,Vr),e(I,N),$(wt,N,null),e(N,Or),e(N,de),e(de,Nr),e(de,eo),e(eo,Dr),e(de,Sr),e(de,Zo),e(Zo,Rr),e(de,Wr),e(N,Br),$(Me,N,null),e(N,Hr),$(Ee,N,null),g(t,Ms,f),g(t,ce,f),e(ce,Ie),e(Ie,Jo),$(yt,Jo,null),e(ce,Ur),e(ce,Qo),e(Qo,Zr),g(t,Es,f),g(t,q,f),$($t,q,null),e(q,Jr),e(q,Tt),e(Tt,Qr),e(Tt,Xo),e(Xo,Xr),e(Tt,Kr),e(q,Yr),e(q,kt),e(kt,ei),e(kt,to),e(to,ti),e(kt,oi),e(q,si),e(q,xt),e(xt,ni),e(xt,Gt),e(Gt,ai),e(xt,ri),e(q,ii),e(q,C),$(Pt,C,null),e(C,li),e(C,pe),e(pe,di),e(pe,oo),e(oo,ci),e(pe,pi),e(pe,Ko),e(Ko,mi),e(pe,hi),e(C,fi),$(qe,C,null),e(C,ui),e(C,Yo),e(Yo,gi),e(C,_i),$(ze,C,null),e(C,vi),$(Ae,C,null),e(C,bi),$(Le,C,null),Is=!0},p(t,[f]){const jt={};f&2&&(jt.$$scope={dirty:f,ctx:t}),we.$set(jt);const es={};f&2&&(es.$$scope={dirty:f,ctx:t}),$e.$set(es);const ts={};f&2&&(ts.$$scope={dirty:f,ctx:t}),Te.$set(ts);const os={};f&2&&(os.$$scope={dirty:f,ctx:t}),xe.$set(os);const Ct={};f&2&&(Ct.$$scope={dirty:f,ctx:t}),Me.$set(Ct);const ss={};f&2&&(ss.$$scope={dirty:f,ctx:t}),Ee.$set(ss);const ns={};f&2&&(ns.$$scope={dirty:f,ctx:t}),qe.$set(ns);const as={};f&2&&(as.$$scope={dirty:f,ctx:t}),ze.$set(as);const me={};f&2&&(me.$$scope={dirty:f,ctx:t}),Ae.$set(me);const rs={};f&2&&(rs.$$scope={dirty:f,ctx:t}),Le.$set(rs)},i(t){Is||(T(l.$$.fragment,t),T(De.$$.fragment,t),T(Ue.$$.fragment,t),T(Qe.$$.fragment,t),T(Xe.$$.fragment,t),T(we.$$.fragment,t),T(Ye.$$.fragment,t),T(et.$$.fragment,t),T(nt.$$.fragment,t),T($e.$$.fragment,t),T(Te.$$.fragment,t),T(at.$$.fragment,t),T(rt.$$.fragment,t),T(xe.$$.fragment,t),T(lt.$$.fragment,t),T(dt.$$.fragment,t),T(ct.$$.fragment,t),T(mt.$$.fragment,t),T(ut.$$.fragment,t),T(gt.$$.fragment,t),T(wt.$$.fragment,t),T(Me.$$.fragment,t),T(Ee.$$.fragment,t),T(yt.$$.fragment,t),T($t.$$.fragment,t),T(Pt.$$.fragment,t),T(qe.$$.fragment,t),T(ze.$$.fragment,t),T(Ae.$$.fragment,t),T(Le.$$.fragment,t),Is=!0)},o(t){k(l.$$.fragment,t),k(De.$$.fragment,t),k(Ue.$$.fragment,t),k(Qe.$$.fragment,t),k(Xe.$$.fragment,t),k(we.$$.fragment,t),k(Ye.$$.fragment,t),k(et.$$.fragment,t),k(nt.$$.fragment,t),k($e.$$.fragment,t),k(Te.$$.fragment,t),k(at.$$.fragment,t),k(rt.$$.fragment,t),k(xe.$$.fragment,t),k(lt.$$.fragment,t),k(dt.$$.fragment,t),k(ct.$$.fragment,t),k(mt.$$.fragment,t),k(ut.$$.fragment,t),k(gt.$$.fragment,t),k(wt.$$.fragment,t),k(Me.$$.fragment,t),k(Ee.$$.fragment,t),k(yt.$$.fragment,t),k($t.$$.fragment,t),k(Pt.$$.fragment,t),k(qe.$$.fragment,t),k(ze.$$.fragment,t),k(Ae.$$.fragment,t),k(Le.$$.fragment,t),Is=!1},d(t){o(c),t&&o(b),t&&o(_),x(l),t&&o(is),t&&o(J),x(De),t&&o(ls),t&&o(R),t&&o(ds),t&&o(zt),t&&o(cs),t&&o(At),t&&o(ps),t&&o(Lt),t&&o(ms),t&&o(ue),t&&o(hs),t&&o(ge),t&&o(fs),t&&o(_e),t&&o(us),t&&o(W),t&&o(gs),t&&o(X),x(Ue),t&&o(_s),t&&o(Vt),t&&o(vs),t&&o(Ot),t&&o(bs),t&&o(Nt),t&&o(ws),t&&o(K),x(Qe),t&&o(ys),t&&o(F),x(Xe),x(we),t&&o($s),t&&o(te),x(Ye),t&&o(Ts),t&&o(M),x(et),x(nt),x($e),x(Te),t&&o(ks),t&&o(se),x(at),t&&o(xs),t&&o(E),x(rt),x(xe),x(lt),t&&o(Gs),t&&o(ie),x(dt),t&&o(Ps),t&&o(V),x(ct),x(mt),t&&o(js),t&&o(le),x(ut),t&&o(Cs),t&&o(I),x(gt),x(wt),x(Me),x(Ee),t&&o(Ms),t&&o(ce),x(yt),t&&o(Es),t&&o(q),x($t),x(Pt),x(qe),x(ze),x(Ae),x(Le)}}}const md={local:"git",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.GitVisionConfig",title:"GitVisionConfig"},{local:"transformers.GitVisionModel",title:"GitVisionModel"},{local:"transformers.GitConfig",title:"GitConfig"},{local:"transformers.GitProcessor",title:"GitProcessor"},{local:"transformers.GitModel",title:"GitModel"},{local:"transformers.GitForCausalLM",title:"GitForCausalLM"}],title:"GIT"};function hd(P){return ed(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class wd extends Jl{constructor(c){super();Ql(this,c,hd,pd,Xl,{})}}export{wd as default,md as metadata};
